org.h2.tools

## Class ConvertTraceFile

- java.lang.Object
- - org.h2.util.Tool
  - - org.h2.tools.ConvertTraceFile

-     public class ConvertTraceFile
      extends org.h2.util.Tool

  Converts a .trace.db file to a SQL script and Java source code. SQL statement statistics are listed as well.

- - ### Field Summary

    - ### Fields inherited from class org.h2.util.Tool

      `out`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConvertTraceFile()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String... args)` Options are case sensitive.
    `void` | `runTool(java.lang.String... args)` Run the tool with the given output stream and arguments.

    - ### Methods inherited from class org.h2.util.Tool

      `isOption, printNoDatabaseFilesFound, setOut, showUsage, showUsageAndThrowUnsupportedOption, throwUnsupportedOption`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConvertTraceFile

          public ConvertTraceFile()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String... args)
                           throws java.sql.SQLException

      Options are case sensitive.

      Supported options
      [-help] or [-?] | Print the list of options
      [-traceFile <file>] | The trace file name (default: test.trace.db)
      [-script <file>] | The script file name (default: test.sql)
      [-javaClass <file>] | The Java directory and class file name (default: Test)

      Parameters:
        `args` - the command line arguments
      Throws:
        `java.sql.SQLException` - on failure

    - #### runTool

          public void runTool(java.lang.String... args)
                       throws java.sql.SQLException

      Description copied from class: `org.h2.util.Tool`
      Run the tool with the given output stream and arguments.
      Specified by:
        `runTool` in class `org.h2.util.Tool`
      Parameters:
        `args` - the argument list
      Throws:
        `java.sql.SQLException` - on failure